#!/bin/sh
# MakeTeXnames.cnf to determine various manipulations of the filenames.
# Sourced from MakeTeXnames.
# 
# te@informatik.uni-hannover.de and kb@mail.tug.org. Public domain.
# $Id: MakeTeXnames.cnf,v 1.3 1996/09/21 23:12:52 karl Exp karl $

# Get 8.3 filenames like dpiNNN/NAME.pk.
case "$MT_FEATURES" in
  *dosnames*) MT_PKNAME='dpi$DPI/$NAME.pk';;
esac

# Omit the mode directory (e.g., ljfour):
case "$MT_FEATURES" in
  *nomode*) MODE="";;
esac

###########################################################################
# Use this feature to strip the "supplier" part (e.g. ams)
# of the target name:
###########################################################################

case "$MT_FEATURES" in
*stripsupplier*)
    MT_SUPPLIER=""
esac

###########################################################################
# Use this feature to strip the "typeface" part (e.g. euler)
# of the target name:
###########################################################################

case "$MT_FEATURES" in
*striptypeface*)
    MT_TYPEFACE=""
esac

# Put new fonts into the directory named by the VARTEXFONTS environment
# variable or config file value.  (A default value for VARTEXFONTS is
# already set in the default texmf.cnf, q.v.)
# 
# A user can override this setting in either direction by setting
# USE_VARTEXFONTS to 1 or 0.
case "$MT_FEATURES" in
  *varfonts*) test "$USE_VARTEXFONTS" != 0 && USE_VARTEXFONTS=1;;
esac

if test "$USE_VARTEXFONTS" = 1; then
  if test -n "${VARTEXFONTS=`kpsewhich -expand-var='$VARTEXFONTS'`}"; then
    MT_DESTROOT=$VARTEXFONTS
  else
    echo "$0: You asked for varfonts in MT_FEATURES, but VARTEXFONTS" >&2
    echo "$0: is not set as an environment variable or in texmf.cnf, etc." >&2
  fi
fi
